--- abcde.svn.toc	2006-09-28 11:44:28.203700281 -0500
+++ abcde.svn.range	2006-09-28 12:43:05.189844508 -0500
@@ -3287,14 +3287,17 @@
 else
 	while [ $# -gt 0 ]; do
 		# Range parsing code courtesy of Vincent Ho
-		RSTART=$(echo $1 | cut -f1 -d-)
-		REND=$(echo $1 | cut -f2 -d-)
-		if [ "$RSTART" = "$REND" ]; then
-			NEWTRACKS="$RSTART"
+		# Cleaned up to use shell built-ins by Charles Steinkuehler
+		if [ "${1#*[^0-9-]}" != "$1" ]; then
+			log error "syntax error while processing track numbers"
 		else
-			NEWTRACKS=$(f_seq_line $RSTART $REND)
+			RSTART=${1%%-*}
+			REND=${1##*-}
+			while [ ${RSTART:=1} -le ${REND:=0} ] ; do
+				TRACKQUEUE="$TRACKQUEUE $RSTART"
+				RSTART=$(( $RSTART + 1 ))
+			done
 		fi
-		TRACKQUEUE=$(echo "$TRACKQUEUE" "$NEWTRACKS")
 		shift
 	done
 fi
